# Class TimelineChangeEvent

#### Hierarchy (view full)

- BasePlayerEvent
  - TimelineChangeEvent

#####
Index

### Constructors

constructor

### Properties

timelineChangeInfo
type

## Constructors

### constructor

- new TimelineChangeEvent(timelineChangeInfo): TimelineChangeEvent

- #### Parameters

  - timelineChangeInfo: TimelineChangeInfo

  #### Returns TimelineChangeEvent

  Overrides BasePlayerEvent.constructor

## Properties

### `Readonly` timelineChangeInfo

timelineChangeInfo: TimelineChangeInfo

### `Readonly` type

type: "timelinechange" = Events.TimelineChange

Overrides BasePlayerEvent.type